View Issue Details

IDProjectCategoryView StatusLast Update
0005880Simple:Presshtml validationpublic2018-01-01 16:59
ReporterMr PapaAssigned ToMr Papa 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.7.5.1 
Target Version5.8Fixed in Version5.8 
Summary0005880: in html 5, text/css and text/javascript wont validate
Descriptionthey are no longer needed and in fact wont validate...

believe we have gone to strictly html5 display so think we should be able to do this, but wanted to check to make sure I didnt have that part wrong...
TagsNo tags attached.
change_log_texthtml5 wont validate with text/css and text/javascript
typedefect

Activities

Yellow Swordfish

Yellow Swordfish

2017-12-26 09:58

administrator   ~0019734

I didn't know this. Will look it up.
What happens to a pre-html5 site rt do we have to cater for both?
Mr Papa

Mr Papa

2017-12-26 15:43

administrator   ~0019735

wp is checking theme supports html5 and then conditionally outputting it... seems like a pain... actually, they have a ticket for it too: https://core.trac.wordpress.org/ticket/42804

but the real question is had we already made the switch to html5... for some reason, I thought we were already outputting html5... if so, then we could just jump here too... I dont think we have conditionals on our other html5 stuff... if not, then thought needed...
Yellow Swordfish

Yellow Swordfish

2017-12-27 10:31

administrator   ~0019738

I thought we had v5 compat but I could not swear to it. But we should, surely, be able to follow what Wp does on that ticket iof ot goes ahead (42804)
Mr Papa

Mr Papa

2017-12-27 17:27

administrator   ~0019739

well, its about 10x the work to check theme compat so would rather not if we already have taken the plunge and started with html5 as standard or matter of fact... will try to do some research...
Mr Papa

Mr Papa

2017-12-27 17:32

administrator   ~0019740

after bit of research, it seems most of the work we have done was in checking the validation of html5 vs the implementation of using new html5 elements...

That said, we are using some new html5 tags that are not available in html4 and as such would fail any html4 browser or validation... not exhaustive or complete list, but some we are using:

<svg
<audio
<video
autocomplete on input tags

so we are using html5 specific tags...
Mr Papa

Mr Papa

2017-12-28 17:06

administrator   ~0019746

would you object to just removing the type stuff and outputting html5? we can follow wp and check for theme supports if you prefer, but I am not sure I care to go adjust the other html5 stuff...
svn

svn

2017-12-28 17:37

administrator   ~0019747

Changeset [15601] by steve on 2017-12-28 12:37:41 -0500 (Thu, 28 Dec 2017)

test issue 0005880 html5 wont validate with text/css and text/javascript

 Changed Files:

U trunk/admin/panel-admins/forms/spa-admins-global-options-form.php
U trunk/admin/panel-admins/forms/spa-admins-manage-admins-form.php
U trunk/admin/panel-admins/forms/spa-admins-your-options-form.php
U trunk/admin/panel-components/forms/spa-components-forumranks-form.php
U trunk/admin/panel-components/forms/spa-components-login-form.php
U trunk/admin/panel-components/forms/spa-components-messages-form.php
U trunk/admin/panel-components/forms/spa-components-seo-form.php
U trunk/admin/panel-components/forms/spa-components-smileys-form.php
U trunk/admin/panel-components/forms/spa-components-special-ranks-add-form.php
U trunk/admin/panel-components/forms/spa-components-special-ranks-del-form.php
U trunk/admin/panel-components/forms/spa-components-special-ranks-form.php
U trunk/admin/panel-forums/forms/spa-forums-add-permission-form.php
U trunk/admin/panel-forums/forms/spa-forums-create-forum-form.php
U trunk/admin/panel-forums/forms/spa-forums-create-group-form.php
U trunk/admin/panel-forums/forms/spa-forums-custom-icons-form.php
U trunk/admin/panel-forums/forms/spa-forums-delete-forum-form.php
U trunk/admin/panel-forums/forms/spa-forums-delete-group-form.php
U trunk/admin/panel-forums/forms/spa-forums-delete-permission-form.php
U trunk/admin/panel-forums/forms/spa-forums-disable-forum-form.php
U trunk/admin/panel-forums/forms/spa-forums-edit-forum-form.php
U trunk/admin/panel-forums/forms/spa-forums-edit-group-form.php
U trunk/admin/panel-forums/forms/spa-forums-edit-permission-form.php
U trunk/admin/panel-forums/forms/spa-forums-enable-forum-form.php
U trunk/admin/panel-forums/forms/spa-forums-featured-image-form.php
U trunk/admin/panel-forums/forms/spa-forums-global-perm-form.php
U trunk/admin/panel-forums/forms/spa-forums-global-rss-form.php
U trunk/admin/panel-forums/forms/spa-forums-global-rssset-form.php
U trunk/admin/panel-forums/forms/spa-forums-group-permission-form.php
U trunk/admin/panel-forums/forms/spa-forums-merge-forums-form.php
U trunk/admin/panel-forums/forms/spa-forums-ordering-form.php
U trunk/admin/panel-forums/forms/spa-forums-remove-perms-form.php
U trunk/admin/panel-forums/spa-forums-display-main.php
U trunk/admin/panel-integration/ajax/spa-ajax-integration-perm.php
U trunk/admin/panel-integration/forms/spa-integration-page-form.php
U trunk/admin/panel-integration/forms/spa-integration-storage-form.php
U trunk/admin/panel-options/forms/spa-options-content-form.php
U trunk/admin/panel-options/forms/spa-options-display-form.php
U trunk/admin/panel-options/forms/spa-options-email-form.php
U trunk/admin/panel-options/forms/spa-options-global-form.php
U trunk/admin/panel-options/forms/spa-options-members-form.php
U trunk/admin/panel-options/forms/spa-options-new-posts-form.php
U trunk/admin/panel-permissions/forms/spa-permissions-add-auth-form.php
U trunk/admin/panel-permissions/forms/spa-permissions-add-permission-form.php
U trunk/admin/panel-permissions/forms/spa-permissions-delete-permission-form.php
U trunk/admin/panel-permissions/forms/spa-permissions-edit-permission-form.php
U trunk/admin/panel-permissions/forms/spa-permissions-reset-permissions-form.php
U trunk/admin/panel-plugins/forms/spa-plugins-list-form.php
U trunk/admin/panel-plugins/forms/spa-plugins-user-form.php
U trunk/admin/panel-plugins/spa-plugins.php
U trunk/admin/panel-profiles/forms/spa-profiles-avatars-form.php
U trunk/admin/panel-profiles/forms/spa-profiles-avatars-pool-form.php
U trunk/admin/panel-profiles/forms/spa-profiles-options-form.php
U trunk/admin/panel-profiles/forms/spa-profiles-tabs-menus-form.php
U trunk/admin/panel-themes/ajax/spa-ajax-themes-loader.php
U trunk/admin/panel-themes/forms/spa-themes-css-form.php
U trunk/admin/panel-themes/forms/spa-themes-editor-form.php
U trunk/admin/panel-themes/forms/spa-themes-list-form.php
U trunk/admin/panel-themes/forms/spa-themes-mobile-form.php
U trunk/admin/panel-themes/forms/spa-themes-tablet-form.php
U trunk/admin/panel-themes/forms/spa-themes-user-form.php
U trunk/admin/panel-toolbox/forms/spa-toolbox-cron-form.php
U trunk/admin/panel-toolbox/forms/spa-toolbox-errorlog-form.php
U trunk/admin/panel-toolbox/forms/spa-toolbox-housekeeping-form.php
U trunk/admin/panel-toolbox/forms/spa-toolbox-inspector-form.php
U trunk/admin/panel-toolbox/forms/spa-toolbox-toolbox-form.php
U trunk/admin/panel-toolbox/forms/spa-toolbox-uninstall-form.php
U trunk/admin/panel-usergroups/forms/spa-usergroups-add-members-form.php
U trunk/admin/panel-usergroups/forms/spa-usergroups-create-usergroup-form.php
U trunk/admin/panel-usergroups/forms/spa-usergroups-delete-members-form.php
U trunk/admin/panel-usergroups/forms/spa-usergroups-delete-usergroup-form.php
U trunk/admin/panel-usergroups/forms/spa-usergroups-edit-usergroup-form.php
U trunk/admin/panel-usergroups/forms/spa-usergroups-map-users.php
U trunk/forum/content/ajax/sp-ajax-acknowledge.php
U trunk/forum/content/ajax/sp-ajax-admintools.php
U trunk/forum/content/ajax/sp-ajax-permissions.php
U trunk/forum/content/sp-common-control-functions.php
U trunk/forum/content/sp-common-view-functions.php
U trunk/forum/content/sp-forum-view-functions.php
U trunk/forum/content/sp-group-view-functions.php
U trunk/forum/content/sp-profile-view-functions.php
U trunk/forum/content/sp-topic-view-functions.php
U trunk/forum/database/sp-db-newposts.php
U trunk/forum/profile/ajax/sp-ajax-profile.php
U trunk/forum/profile/forms/sp-form-account.php
U trunk/forum/profile/forms/sp-form-avatar.php
U trunk/forum/profile/forms/sp-form-display-options.php
U trunk/forum/profile/forms/sp-form-global-options.php
U trunk/forum/profile/forms/sp-form-identities.php
U trunk/forum/profile/forms/sp-form-memberships.php
U trunk/forum/profile/forms/sp-form-photos.php
U trunk/forum/profile/forms/sp-form-posting-options.php
U trunk/forum/profile/forms/sp-form-profile.php
U trunk/forum/profile/forms/sp-form-signature.php
U trunk/forum/resources/jscript/print-this/printThis-dev.js
U trunk/sp-api/sp-api-class-spcnotifications.php
U trunk/sp-api/sp-api-class-spcprimitives.php
U trunk/sp-startup/admin/spa-admin-framework.php
U trunk/sp-startup/admin/spa-admin-support-functions.php
U trunk/sp-startup/core/credentials/sp-rpx.php
U trunk/sp-startup/core/sp-core-ajax-actions.php
U trunk/sp-startup/core/sp-core-debug.php
U trunk/sp-startup/forum/sp-forum-framework.php
U trunk/sp-startup/sp-load-install.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15601
svn

svn

2017-12-28 17:38

administrator   ~0019748

Changeset [15602] by steve on 2017-12-28 12:38:04 -0500 (Thu, 28 Dec 2017)

test issue 0005880 html5 wont validate with text/css and text/javascript

 Changed Files:

U plugins/admin-bar/library/sp-admin-bar-components.php
U plugins/ban/admin/sp-ban-admin.php
U plugins/ban/sp-ban-plugin.php
U plugins/blog-linking/forms/sp-linking-form.php
U plugins/captcha/library/sp-captcha-components.php
U plugins/font-resize/sp-font-resize-plugin.php
U plugins/html-email/library/sp-html-email-components.php
U plugins/identities/admin/sp-identities-admin.php
U plugins/keywords/forms/sp-keywords-options-form.php
U plugins/logger/admin/sp-logger-admin-view.php
U plugins/plupload/ajax/sp-plupload-ajax-manage.php
U plugins/plupload/forms/sp-plupload-files-form.php
U plugins/plupload/forms/sp-plupload-images-form.php
U plugins/plupload/forms/sp-plupload-media-form.php
U plugins/plupload/library/sp-plupload-forms.php
U plugins/polls/admin/sp-polls-admin-options.php
U plugins/polls/ajax/sp-polls-ajax-edit.php
U plugins/post-as/library/sp-post-as-components.php
U plugins/print-topic/template-files/spTopicPrintView.php
U plugins/private-messaging/ajax/sp-pm-ajax-manage.php
U plugins/private-messaging/forms/sp-pm-adversaries-form.php
U plugins/private-messaging/forms/sp-pm-buddies-form.php
U plugins/private-messaging/library/sp-pm-components.php
U plugins/private-messaging/library/sp-pm-template-functions.php
U plugins/prune-db/admin/sp-prune-db-admin-prune.php
U plugins/quicktags-bbcode/qtbbcode/sp-qtbbcode-init.php
U plugins/quicktags-bbcode/sp-qtbbcode-plugin.php
U plugins/quicktags-html/qthtml/sp-qthtml-init.php
U plugins/quicktags-html/sp-qthtml-plugin.php
U plugins/rank-info/admin/sp-rank-info-options.php
U plugins/reputation/admin/sp-reputation-admin-levels.php
U plugins/reputation/admin/sp-reputation-admin-reset.php
U plugins/reputation/ajax/sp-reputation-ajax-manage.php
U plugins/reputation/library/sp-reputation-components.php
U plugins/search/library/sp-search-components.php
U plugins/search/template-tags/sp-search-template-functions.php
U plugins/search-by-user/library/sp-search-by-user-components.php
U plugins/share-this/admin/sp-share-this-admin-options.php
U plugins/share-this/library/sp-share-this-components.php
U plugins/spam-registrations/ajax/sp-spam-reg-ajax.php
U plugins/subscriptions/ajax/sp-subscriptions-ajax-manage.php
U plugins/subscriptions/forms/sp-subscriptions-forum-form.php
U plugins/subscriptions/forms/sp-subscriptions-manage-form.php
U plugins/subscriptions/forms/sp-subscriptions-options-form.php
U plugins/syntax-highlighting/sp-syntax-plugin.php
U plugins/tags/admin/sp-tags-admin-edit.php
U plugins/tags/admin/sp-tags-admin-manage.php
U plugins/tags/library/sp-tags-components.php
U plugins/template-tags/library/sp-ForumDropdown-tag.php
U plugins/threading/admin/sp-threading-admin-support.php
U plugins/tinymce-richtext/resources/plugins/sphelp/sp-help.php
U plugins/tinymce-richtext/sp-tinymce-plugin.php
U plugins/topic-redirect/library/sp-redirect-components.php
U plugins/uploads-viewer/ajax/sp-uploads-viewer-ajax-view.php
U plugins/warnings-suspensions/admin/sp-warnings-suspensions-admin-bans.php
U plugins/warnings-suspensions/admin/sp-warnings-suspensions-admin-suspensions.php
U plugins/warnings-suspensions/admin/sp-warnings-suspensions-admin-warnings.php
U plugins/watches/ajax/sp-watches-ajax-manage.php
U plugins/watches/forms/sp-watches-manage-form.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15602
svn

svn

2017-12-28 17:38

administrator   ~0019749

Changeset [15603] by steve on 2017-12-28 12:38:20 -0500 (Thu, 28 Dec 2017)

test issue 0005880 html5 wont validate with text/css and text/javascript

 Changed Files:

U templates/barebones/admin/sp-barebones-options-form.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15603

Issue History

Date Modified Username Field Change
2017-12-25 17:46 Mr Papa New Issue
2017-12-26 09:58 Yellow Swordfish Note Added: 0019734
2017-12-26 15:43 Mr Papa Note Added: 0019735
2017-12-27 10:31 Yellow Swordfish Note Added: 0019738
2017-12-27 17:27 Mr Papa Note Added: 0019739
2017-12-27 17:32 Mr Papa Note Added: 0019740
2017-12-27 17:52 Mr Papa Category code - general => html validation
2017-12-28 17:06 Mr Papa Note Added: 0019746
2017-12-28 17:16 Mr Papa Assigned To => Mr Papa
2017-12-28 17:16 Mr Papa Status new => assigned
2017-12-28 17:37 svn =>
2017-12-28 17:37 svn Note Added: 0019747
2017-12-28 17:37 svn Status assigned => testing
2017-12-28 17:38 svn =>
2017-12-28 17:38 svn Note Added: 0019748
2017-12-28 17:38 svn =>
2017-12-28 17:38 svn Note Added: 0019749
2018-01-01 16:59 Mr Papa Status testing => closed
2018-01-01 16:59 Mr Papa Resolution open => fixed
2018-01-01 16:59 Mr Papa Fixed in Version => 5.8
2018-01-01 16:59 Mr Papa change_log_text update => html5 wont validate with text/css and text/javascript